#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa65c6def, "alt_cb_patch_nops" },
	{ 0xec4b32b7, "__platform_driver_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x7c1fe1ce, "geni_se_resources_off" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xf7f9a8ac, "geni_icc_disable" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xa6257a2f, "complete" },
	{ 0xe059620f, "__dynamic_dev_dbg" },
	{ 0xecafe6e, "_dev_err" },
	{ 0x1507b4c9, "dma_unmap_page_attrs" },
	{ 0x4dae16e4, "i2c_put_dma_safe_msg_buf" },
	{ 0x6b722180, "log_read_mmio" },
	{ 0xc1a5ee3, "log_post_read_mmio" },
	{ 0x6eb0078b, "platform_driver_unregister" },
	{ 0xb614e8c6, "__pm_runtime_disable" },
	{ 0x528cc80d, "__pm_runtime_set_status" },
	{ 0x2f3b8978, "pm_runtime_enable" },
	{ 0x42041512, "i2c_get_dma_safe_msg_buf" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe1c84216, "dma_map_page_attrs" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x98692139, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdcb764ad, "memset" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x549b3fba, "geni_icc_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x8884712a, "geni_se_resources_on" },
	{ 0x67cebe59, "i2c_del_adapter" },
	{ 0x5ad53d86, "dma_release_channel" },
	{ 0xc58a0451, "dev_pm_domain_detach_list" },
	{ 0x7687e44a, "rt_spin_lock" },
	{ 0xc905402b, "log_write_mmio" },
	{ 0xfa4d3c24, "log_post_write_mmio" },
	{ 0x3173a661, "rt_spin_unlock" },
	{ 0xbd3f374a, "geni_se_select_mode" },
	{ 0x1164386, "geni_se_tx_dma_prep" },
	{ 0x216ac8d3, "geni_se_tx_dma_unprep" },
	{ 0x6fb2446e, "geni_se_rx_dma_prep" },
	{ 0x68e7f772, "geni_se_rx_dma_unprep" },
	{ 0x4b8fd611, "__pm_runtime_resume" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x5de573fa, "__pm_runtime_suspend" },
	{ 0x7e851956, "devm_kmalloc" },
	{ 0x69b24646, "platform_get_resource" },
	{ 0x5b1a879c, "devm_ioremap_resource" },
	{ 0xa7446fb4, "geni_se_is_fw_managed" },
	{ 0xc270138c, "device_get_match_data" },
	{ 0x67b409a2, "devm_clk_get" },
	{ 0x9837d032, "device_property_read_u32_array" },
	{ 0xc97cd154, "is_acpi_device_node" },
	{ 0x3055b08b, "platform_get_irq" },
	{ 0xb7091db5, "geni_se_domain_attach" },
	{ 0x332c3d3c, "set_primary_fwnode" },
	{ 0x896fdfd, "geni_se_get_level" },
	{ 0x8eff6489, "geni_se_set_perf_level" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x79453d1e, "rt_mutex_base_init" },
	{ 0xccb1ee44, "devm_request_threaded_irq" },
	{ 0x3cea4cd, "pm_runtime_set_autosuspend_delay" },
	{ 0x1cd2cbad, "__pm_runtime_use_autosuspend" },
	{ 0xbe73ef19, "geni_icc_get" },
	{ 0xca6911e6, "geni_icc_set_bw" },
	{ 0xb67b6ca5, "geni_se_init" },
	{ 0x4580293b, "geni_se_config_packing" },
	{ 0x5e3504e, "__pm_runtime_idle" },
	{ 0xa6afc9f4, "i2c_add_adapter" },
	{ 0x3bf3a9fd, "dma_request_chan" },
	{ 0x2c96a33e, "dev_err_probe" },
	{ 0x5b58becb, "_dev_info" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "qcom-geni-se");

MODULE_ALIAS("of:N*T*Cqcom,geni-i2c");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2cC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-i2c-master-hubC*");
MODULE_ALIAS("acpi*:QCOM0220:*");

MODULE_INFO(srcversion, "A82E3F0A33CDE6646F3E378");
MODULE_INFO(rhelversion, "9.7");
