#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(geni_se_get_qup_hw_version, "", "");
KSYMTAB_FUNC(geni_se_init, "", "");
KSYMTAB_FUNC(geni_se_select_mode, "", "");
KSYMTAB_FUNC(geni_se_config_packing, "", "");
KSYMTAB_FUNC(geni_se_resources_off, "", "");
KSYMTAB_FUNC(geni_se_resources_on, "", "");
KSYMTAB_FUNC(geni_se_clk_tbl_get, "", "");
KSYMTAB_FUNC(geni_se_clk_freq_match, "", "");
KSYMTAB_FUNC(geni_se_tx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_rx_init_dma, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_prep, "", "");
KSYMTAB_FUNC(geni_se_tx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_se_rx_dma_unprep, "", "");
KSYMTAB_FUNC(geni_icc_get, "", "");
KSYMTAB_FUNC(geni_icc_set_bw, "", "");
KSYMTAB_FUNC(geni_icc_set_tag, "", "");
KSYMTAB_FUNC(geni_icc_enable, "", "");
KSYMTAB_FUNC(geni_icc_disable, "", "");
KSYMTAB_FUNC(geni_se_domain_attach, "_gpl", "");
KSYMTAB_FUNC(geni_se_is_fw_managed, "_gpl", "");
KSYMTAB_FUNC(geni_se_get_level, "_gpl", "");
KSYMTAB_FUNC(geni_se_set_perf_level, "_gpl", "");

SYMBOL_CRC(geni_se_get_qup_hw_version, 0x0604b090, "");
SYMBOL_CRC(geni_se_init, 0xb67b6ca5, "");
SYMBOL_CRC(geni_se_select_mode, 0xbd3f374a, "");
SYMBOL_CRC(geni_se_config_packing, 0x4580293b, "");
SYMBOL_CRC(geni_se_resources_off, 0x7c1fe1ce, "");
SYMBOL_CRC(geni_se_resources_on, 0x8884712a, "");
SYMBOL_CRC(geni_se_clk_tbl_get, 0x81f50edf, "");
SYMBOL_CRC(geni_se_clk_freq_match, 0x7061a048, "");
SYMBOL_CRC(geni_se_tx_init_dma, 0x865c1243, "");
SYMBOL_CRC(geni_se_tx_dma_prep, 0x01164386, "");
SYMBOL_CRC(geni_se_rx_init_dma, 0xf07fffcf, "");
SYMBOL_CRC(geni_se_rx_dma_prep, 0x6fb2446e, "");
SYMBOL_CRC(geni_se_tx_dma_unprep, 0x216ac8d3, "");
SYMBOL_CRC(geni_se_rx_dma_unprep, 0x68e7f772, "");
SYMBOL_CRC(geni_icc_get, 0xbe73ef19, "");
SYMBOL_CRC(geni_icc_set_bw, 0xca6911e6, "");
SYMBOL_CRC(geni_icc_set_tag, 0x4dca8f00, "");
SYMBOL_CRC(geni_icc_enable, 0x549b3fba, "");
SYMBOL_CRC(geni_icc_disable, 0xf7f9a8ac, "");
SYMBOL_CRC(geni_se_domain_attach, 0xb7091db5, "_gpl");
SYMBOL_CRC(geni_se_is_fw_managed, 0xa7446fb4, "_gpl");
SYMBOL_CRC(geni_se_get_level, 0x0896fdfd, "_gpl");
SYMBOL_CRC(geni_se_set_perf_level, 0x8eff6489, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1507b4c9, "dma_unmap_page_attrs" },
	{ 0xc97cd154, "is_acpi_device_node" },
	{ 0x3194d5b5, "devm_of_icc_get" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xecafe6e, "_dev_err" },
	{ 0x5387b266, "icc_set_bw" },
	{ 0x2fad635b, "icc_set_tag" },
	{ 0xbe79a615, "icc_enable" },
	{ 0x582e023e, "icc_disable" },
	{ 0xc41172e7, "dev_pm_domain_attach_list" },
	{ 0xc58a0451, "dev_pm_domain_detach_list" },
	{ 0x9344a8e4, "dev_pm_opp_find_freq_floor" },
	{ 0x6658a00c, "dev_pm_opp_get_level" },
	{ 0xc4477105, "dev_pm_opp_put" },
	{ 0xa0b5fe1c, "dev_pm_opp_get_opp_count" },
	{ 0x30321d70, "dev_pm_opp_find_level_exact" },
	{ 0x6acfeaef, "dev_pm_opp_set_opp" },
	{ 0xec4b32b7, "__platform_driver_register" },
	{ 0x7e851956, "devm_kmalloc" },
	{ 0xb2863716, "devm_platform_ioremap_resource" },
	{ 0x1ed28ee5, "devm_of_platform_populate" },
	{ 0xe059620f, "__dynamic_dev_dbg" },
	{ 0xc270138c, "device_get_match_data" },
	{ 0x7c35a918, "device_property_present" },
	{ 0x514322a2, "of_count_phandle_with_args" },
	{ 0x64643216, "devm_clk_bulk_get" },
	{ 0x6eb0078b, "platform_driver_unregister" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0x5a99220f, "pinctrl_pm_select_default_state" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x46acef0c, "pinctrl_pm_select_sleep_state" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe1c84216, "dma_map_page_attrs" },
	{ 0x98692139, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x62ac1cf0, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("of:N*T*Cqcom,geni-se-qup");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-qupC*");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hub");
MODULE_ALIAS("of:N*T*Cqcom,geni-se-i2c-master-hubC*");

MODULE_INFO(srcversion, "A5AECDF151F9A774F5740D9");
MODULE_INFO(rhelversion, "9.7");
